package core.notevault.sync.synchronisation;

import core.notevault.data.sync.SyncResponse;
import core.notevault.sync.synchronisation.songs.creation.SongCreationBatchRequest;
import core.notevault.sync.synchronisation.songs.creation.SongCreationBatchResponse;
import core.notevault.sync.synchronisation.songs.deletion.SongDeletionBatchRequest;
import core.notevault.sync.synchronisation.songs.deletion.SongDeletionBatchResponse;
import core.notevault.sync.synchronisation.songs.modification.SongModificationBatchRequest;
import core.notevault.sync.synchronisation.songs.modification.SongModificationBatchResponse;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

public interface SyncService {

    @POST("/sync/songs/create")
    Call<SongCreationBatchResponse> performSongCreation(@Body SongCreationBatchRequest syncRequest);

    @POST("/sync/songs/modify")
    Call<SongModificationBatchResponse> performSongModification(@Body SongModificationBatchRequest syncRequest);

    @POST("/sync/songs/delete")
    Call<SongDeletionBatchResponse> performSongDeletion(@Body SongDeletionBatchRequest syncRequest);
}
